libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_block

declared in "vorbis/codec.h"

The vorbis_block structure holds the data for a single block of audio. One vorbis_block translates to one codec packet. The encoding process consists of splitting the audio into blocks and encoding the blocks into packets; decoding consists of decoding the packets into blocks and reassembling the audio from the blocks.

This structure is intended to be private. Although the fields are given in the header file, they should not be directly modified or relied upon in any way.

    typedef struct vorbis_block{
      /* private */
    } vorbis_block;

### Parameters

- None public.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101